0

This is the error i'm getting

Traceback (most recent call last):
  File "/usr/bin/software-center", line 130, in <module>
    app = SoftwareCenterAppGtk3(options, args)
  File "/usr/share/software-center/softwarecenter/ui/gtk3/app.py", line 373, in __init__
    self.cache, self.icons)
  File "/usr/share/software-center/softwarecenter/ui/gtk3/panes/globalpane.py", line 32, in __init__
    self.back_forward.set_valign(Gtk.Align.CENTER)
  File "/usr/lib/python2.7/dist-packages/gi/module.py", line 313, in __getattr__
    return getattr(self._introspection_module, name)
  File "/usr/lib/python2.7/dist-packages/gi/module.py", line 165, in __getattr__
    setattr(wrapper, value_name, wrapper(value_info.get_value()))
ValueError: invalid enum value: 4
0

The package that offends you is python-gi, may be it is misconfigured. Reinstall it from command line

sudo apt-get purge python-gi
sudo apt-get install python-gi

Just in case, make sure it does not try to delete anything else, (it will ask if it wants to). You may try in with software-center too.

Your Answer

By clicking "Post Your Answer", you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.